# -*- coding: utf-8 -*-
"""
Created on Thu Jul 12 09:17:26 2018

"""
from math import *
import numpy as np
from scipy.signal import sawtooth
import matplotlib.pyplot as plt

#==============================================================================
# Signal créneau
#==============================================================================

def creneau(t,A,f): #A= amplitude, f= fréquence du créneau
    """Renvoie la valeur d'un signal créneau d'amplitude A et de fréquence f à la date t"""
    if t%(1/f)<0.5/f:
        return A
    else:
        return -A
        
#==============================================================================
# Signal triangulaire
#==============================================================================

def triangle(t,A,f):
    return A*sawtooth(2*np.pi*f*t,0.5)
    
#==============================================================================
# Signal dent de scies
#==============================================================================
def dent_scies(t,A,f):
    return A*sawtooth(2*np.pi*f*t)
    
#==============================================================================
# Bruit blanc
#==============================================================================
def bruit():
    return np.random.normal()
    